Skip to main content
`Ctrl`+`K`

# PetscSectionSetFieldOffset

Set the offset into an array or `Vec` for the dof associated with the given field at a point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt offset)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

- offset - the offset, these values may be negative indicating the values are off process

## Note

The user usually does not call this function, but uses `PetscSectionSetUp()`

## See Also

PetscSection, `PetscSection`, `PetscSectionGetFieldOffset()`, `PetscSectionSetOffset()`, `PetscSectionCreate()`, `PetscSectionSetUp()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages